# Poco::Net

# class HTTPResponseIOS

Library: Net
Package: HTTP
Header: Poco/Net/HTTPIOStream.h

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: HTTPResponseStream

## Member Summary

Member Functions: rdbuf

## Constructors

### HTTPResponseIOS

HTTPResponseIOS(
std::istream & istr
);

## Destructor

### ~HTTPResponseIOS

~HTTPResponseIOS();

## Member Functions

### rdbuf

HTTPResponseStreamBuf * rdbuf();

## Variables

### _buf

HTTPResponseStreamBuf _buf;